Get Slack Bot
GET
/api/v3/organizations/{organisation}/ai/slack-bots/{botId}
const url = 'https://dashboard.quantcdn.io/api/v3/organizations/example/ai/slack-bots/example';const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
try { const response = await fetch(url, options); const data = await response.json(); console.log(data);} catch (error) { console.error(error);}curl --request GET \ --url https://dashboard.quantcdn.io/api/v3/organizations/example/ai/slack-bots/example \ --header 'Authorization: Bearer <token>'Retrieves details for a specific Slack bot including its configuration, connection status, and flattened agent configuration.
Authorizations
Section titled “Authorizations”Parameters
Section titled “Parameters”Path Parameters
Section titled “Path Parameters”organisation
required
string
The organisation ID
botId
required
string
The Slack bot ID
Responses
Section titled “Responses”Slack bot details retrieved successfully
Media typeapplication/json
object
bot
object
botId
string
name
string
setupType
string
status
string
connected
boolean
systemPrompt
string
modelId
string
temperature
number
maxTokens
integer
allowedTools
Array<string>
assignedSkills
Array<string>
allowedCollections
Array<string>
allowedSubAgents
Array<string>
guardrailPreset
string
filterPolicies
Array<string>
longContext
boolean
sessionTtlDays
integer
allowedChannels
Array<string>
allowedUsers
Array<string>
deniedUsers
Array<string>
allowGuests
boolean
homeTabContent
string
agentAccessControl
object
keywordsEnabled
boolean
keywords
Array<string>
createdAt
string format: date-time
updatedAt
string format: date-time
Example
{ "bot": { "setupType": "quant", "status": "active" }}Access denied
Slack bot not found
Failed to retrieve Slack bot
